{
   // Use IntelliSense to learn about possible Node.js debug attributes.
   // Hover to view descriptions of existing attributes.
   // For more information, visit: https://go.microsoft.com/fwlink/?linkid=830387
   "version": "0.2.0",
   "configurations": [
      {
         "name": "Debug the Main Process",
         "type": "node",
         "request": "launch",
         "runtimeExecutable": "${workspaceRoot}\\node_modules\\.bin\\electron.cmd",
         "program": "${workspaceRoot}/app/electron.js"
      },
      {
         "type": "node",
         "request": "attach",
         "name": "Attach to Process",
         "address": "localhost",
         "port": 5858
      },
      {
         "name": "Renderer",
         "type": "chrome",
         "request": "launch",
         "runtimeExecutable": "${workspaceRoot}/node_modules/.bin/electron.cmd",
         "runtimeArgs": [
            "${workspaceRoot}",
            "--enable-logging",
            "--remote-debugging-port=9222"
         ],
         "sourceMaps": false
      }
      
   ]
}